/*
**********************************************************************************************************************
*											        eGon
*						           the Embedded GO-ON Bootloader System
*									       eGON clock sub-system
*
*						  Copyright(C), 2006-2010, SoftWinners Microelectronic Co., Ltd.
*                                           All Rights Reserved
*
* File    : wboot_nand.h
*
* By      : Jerry
*
* Version : V2.00
*
* Date	  :
*
* Descript:
**********************************************************************************************************************
*/
#ifndef	_WBOOT_NAND_H_
#define	_WBOOT_NAND_H_

typedef enum  wboot_nand_cmd_set
{
    EGON2_NAND_PHY_READ,                   			/* NAND 飬aux = wboot_nand_rw_operation_t */
    EGON2_NAND_PHY_WRITE,							/* дNAND 飬aux = wboot_nand_rw_operation_t */
    EGON2_NAND_GET_VERSION,							/* ȡNAND汾 */
    EGON2_NAND_ERASE,                        		/* NAND FLASH ĳһ*/
    EGON2_NAND_BAD_BLOCK_CHECK,						/* ȡ good_block_ratio */
    EGON2_NAND_HARDWARE_SCAN_START,                 /* ɨNANDϢʼ */
    EGON2_NAND_HARDWARE_SCAN_STOP,                  /* ɨNANDϢ */
    EGON2_NAND_INIT,								/* NAND ߼ʼ */
    EGON2_NAND_EXIT,								/* NAND ߼ر */
    EGON2_NAND_GET_INFO,							/* NAND ȡϢ */
    EGON2_NAND_
}
wboot_nand_cmd_set_t;

typedef enum wboot_nand_rw_operation
{
	EGON2_NAND_RW_NORMAL,                           // NANDдʽͨ(׼) ʽ
	EGON2_NAND_RW_SEQUNECE,                         // NANDдʽ SEQUENCE ʽ
	EGON2_NAND_RW_1K,                               // NANDдʽ ҳ1KС ʽ
	EGON2_NAND_RW_
}
wboot_nand_rw_operation_t;

typedef enum wboot_nand_erase_operation
{
	EGON2_NAND_ERASE_BLOCK,                         // NANDһ
	EGON2_NAND_ERASE_BOOT_BLOCK,                    // NANDBootõĿ
	EGON2_NAND_ERASE_CHIP,							// NANDƬ
	EGON2_NAND_ERASE_
}
wboot_nand_erase_operation_t;


#endif	//_WBOOT_NAND_H_

/* end of _WBOOT_NAND_H_ */

